$(document).ready(function(){
	
	//Feedback modal interesado
	$("#aniadirInteresadoModalFeedback").rup_feedback({
		gotoTop: true,
		block: false,
		closeLink: true
	});
	
	$("#mostrarDenunciadoHeader").val($("#mostrarDenunciado").val());
	sessionStorage.setItem("tieneParteInculpada", $("#tieneParteInculpada").val());
	inicializaControlCambios("formSolicitante");
	
	comprobarBotonesPropuesta($("#idPropuesta").val());

	$("#btnActualizar").removeAttr("hidden");
	
	if($("#btnBuscarEstablecimiento").length > 0){
		$("#btnAsociarEstablecimientoInspeccion").attr("hidden", "true");
	}
	
	if($("#iconoInspeccion").html() === ""){
	
		//Mostrar icono flag
		// 1- Comprobar si existe propuesta de sanción
		
		var idPropuesta = comprobarPropuesta($("#idInspeccion").val());
		
		//Existe
		if ( idPropuesta != "-1" ) {
			
			var idPropuestaSancionRemoto = comprobarPropuestaSancionRemoto($("#idInspeccion").val());
		
			// 2- Comprobar el estado de la propuesta de sanción
			
			var idEstadoPropuesta = comprobarEstadoPropuesta($("#idInspeccion").val());
			
			if(idEstadoPropuesta === ""){
				
				// 3- Comprobar si tiene infracciones
				var countInfracciones = comprobarInfracciones(idPropuesta);
				
				if(countInfracciones > 0){
					//Verde
					$("#iconoInspeccion").append('<i class="fa fa-flag fa-2x colorGreen" aria-hidden="true" title="' + $.rup.i18n.app.propuestaSancion.creada + '"></i>');
				}
				
			} else if(idEstadoPropuesta === "5" || idEstadoPropuesta === "10"){
				//Rojo
				$("#iconoInspeccion").append('<a href="' + $("#urlAB59Ficha").val() + 'fichapropuestasancion/maint/' + idPropuestaSancionRemoto + '" target="_blank"><i class="fa fa-flag fa-2x colorRed" aria-hidden="true" title="' + $.rup.i18n.app.propuestaSancion.expSancionadorCreado + '"></i></a>');
			
			} else if(idEstadoPropuesta === "3" || idEstadoPropuesta === "8"){
				//Morado
				$("#iconoInspeccion").append('<a href="' + $("#urlAB59Ficha").val() + 'fichapropuestasancion/maint/' + idPropuestaSancionRemoto + '" target="_blank"><i class="fa fa-flag fa-2x colorPurple" aria-hidden="true" title="' + $.rup.i18n.app.propuestaSancion.subsanar + '"></i></a>');
			
			} else {
				//Naranja
				$("#iconoInspeccion").append('<a href="' + $("#urlAB59Ficha").val() + 'fichapropuestasancion/maint/' + idPropuestaSancionRemoto + '" target="_blank"><i class="fa fa-flag fa-2x colorOrange" aria-hidden="true" title="' + $.rup.i18n.app.propuestaSancion.enviada + '"></i></a>');
			}
			
		}
	}
	
	
	if($("#idOrigenInspeccion").val() != ORIGEN_DENUNCIAS){
		
		//Combo tipo documento modal interesado
		$("#tipoDocumentoInteresadoModal").rup_combo({
			blank: "",
			source: "/ab79WebAppWar/tiposdocumento/verValorCombo",
			sourceParam: {
				label: ("eu" === $.rup_utils.get("language"))? "descripcionEuskera" : "descripcionCastellano",
				value: "idTipoDocumento"
			},
			orderedByValue: true,
			width: 244,
			select: function(){
				if($("#tipoDocumentoInteresadoModal").val() == TIPO_DOCUMENTO_CIF){
					$("#apellido1InteresadoModal").parent().attr("hidden", "true");
					$("#apellido2InteresadoModal").parent().attr("hidden", "true");
					$("#sexoInteresadoModal").parent().attr("hidden", "true");
				} else{
					$("#apellido1InteresadoModal").parent().removeAttr("hidden");
					$("#apellido2InteresadoModal").parent().removeAttr("hidden");
					$("#sexoInteresadoModal").parent().removeAttr("hidden");
				}
			}
		});
		
		//Combo sexo modal interesado
		$("#sexoInteresadoModal").rup_combo({
			blank: "",
			source: "/ab79WebAppWar/sexos/verValorCombo",
			sourceParam: {
				label: ("eu" === $.rup_utils.get("language"))? "descripcionEuskera" : "descripcionCastellano",
				value: "idSexo"
			},
			orderedByValue: true,
			width: 244
		});
		
		/* COMBOS de NORA */
		if($("#idOrigenInspeccion").val() == ORIGEN_AYUDAS && $("#domicilioSolicitante").length){
			$("#idProvinciaSolicitante").rup_combo({
				source: "/ab79WebAppWar/nora/provincias",
				blank: "",
				sourceParam: {
					label: "dsO",
					value: "id"
				},
				onLoadSuccess : function() {
					
					var idProvinciaSolicitanteHidden = pad($("#idProvinciaSolicitanteHidden").val(),2);
					$("#idProvinciaSolicitante").rup_combo("setRupValue", idProvinciaSolicitanteHidden);
					
				},
				select : function() {
					
					var idProvinciaSolicitanteHidden = $("#idProvinciaSolicitante").val();
					$("#idProvinciaSolicitanteHidden").val(idProvinciaSolicitanteHidden);
				
					$("#codigoMunicipioSolicitante").val("");
					$("#idMunicipioSolicitanteHidden").val("")
					$("#idMunicipioSolicitante").rup_combo("setRupValue", "");
					$("#idLocalidadSolicitanteHidden").val("");
					$("#idLocalidadSolicitante").rup_combo("setRupValue", "");
				},
				open: function(){
					$("#idProvinciaSolicitante-menu").width(
						$("#idProvinciaSolicitante-button").width()
					);
				},
				change: function() {
					$("#codigoProvinciaSolicitante").val($("#idProvinciaSolicitante").rup_combo("getRupValue"));
					
					if($("#idProvinciaSolicitante").rup_combo("getRupValue") == ""){
						$("#codigoMunicipioSolicitante").val("");
					}
				},
				width: 250
			});
			
			$("#idMunicipioSolicitante").rup_combo({
				source: "/ab79WebAppWar/nora/municipios",
				parent: ["idProvinciaSolicitante"],
				blank: "",
				sourceParam: {
					label: "dsO",
					value: "id"
				},
				onLoadSuccess : function() {
					var idMunicipioSolicitanteHidden = pad($("#idMunicipioSolicitanteHidden").val(),3);
					$("#idMunicipioSolicitante").rup_combo("setRupValue", idMunicipioSolicitanteHidden);			
				},
				select : function() {
					var idMunicipioSolicitanteHidden = $("#idMunicipioSolicitante").val();
					$("#idMunicipioSolicitanteHidden").val(idMunicipioSolicitanteHidden);
					
					$("#idLocalidadSolicitanteHidden").val("");
					$("#idLocalidadSolicitante").rup_combo("setRupValue", "");
				},
				
				open: function(){
					$("#idMunicipioSolicitante-menu").width(
						$("#idMunicipioSolicitante-button").width()
					);
				},
				change: function() {
					$("#codigoMunicipioSolicitante").val($("#idMunicipioSolicitante").rup_combo("getRupValue"));			
				},
				width: 250
			});
			
			$("#idLocalidadSolicitante").rup_combo({
				source: "/ab79WebAppWar/nora/localidades",
				parent: ["idProvinciaSolicitante", "idMunicipioSolicitante"],
				blank: "",
				sourceParam: {
					label: "dsO",
					value: "id"
				},
				onLoadSuccess : function() {
					var idLocalidadSolicitanteHidden = pad($("#idLocalidadSolicitanteHidden").val(),14);
					$("#idLocalidadSolicitante").rup_combo("setRupValue", idLocalidadSolicitanteHidden);
				},
				select : function() {
					var idLocalidadSolicitanteHidden = $("#idLocalidadSolicitante").val();
					$("#idLocalidadSolicitanteHidden").val(idLocalidadSolicitanteHidden);
				},
				open: function(){
					$("#idLocalidadSolicitante-menu").width(
						$("#idLocalidadSolicitante-button").width()
					);
				},
				width: 310
			});
		}
	}
	
	if($("#identifiEstableciExp").val() != ""){
		sessionStorage.setItem("mostrarBtnVerCenso", true);
		$("#btnVerCenso").removeAttr("hidden");
	}else{
		sessionStorage.setItem("mostrarBtnVerCenso", false);
		$("#btnVerCenso").attr("hidden", "true");
	}
	
	if($("#inspeccionSinExpediente").val() === "true"){
		$("#btnVerDocumentos").css("opacity", 0.7);
		$("#btnVerDocumentos").removeAttr("href");
	} else{
		$("#btnVerDocumentos").css("opacity", 1);
	}
	
	if($("#inspeccionSinExpediente").val() === "true" && $("#idTer").val() !== ""){
		$.ajax({
			url: CTX_PATH + "datosterceros/" + $("#idTer").val(),
			type: "GET",
			contentType: "application/json",
			dataType: "json",
			success: function(data){
				if(data.tipoDocumento.idTipoDocumento !== 0 && data.documento !== null){
					$("#btnCrearExpediente").removeAttr("hidden");
				}
			}
		});		
		
	} else{
		$("#btnCrearExpediente").attr("hidden", "true");		
	}
	
	$(".comboDinamico").each(function(){
		var id = $(this).attr("id");
		var selectValue = $(this).prev(":hidden").val();
		$("#" + id).rup_combo({
			source: "/ab79WebAppWar/subtipotercero/cargarCombo",
			blank: "-1",
			sourceParam: {
				label: ("es"===$.rup_utils.get("language")) ? "descripcionCastellano" : "descripcionEuskera",
				value: "idSubtipoTercero"
			},
			selected: selectValue,
			width: 260,
			rowStriping: true
		});
	});
	
	//Creamos el área de mensajes para la ficha de expedientes en general
	if ("true" != $("#flagSearchFolder").val()) {
		$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#expediente_feedback").rup_feedback("set",$.rup.i18n.app.mensajes.error.searchFolder_error,"error");
	}
	
	if(sessionStorage.getItem("crearExpedienteFeedback") === "true"){
		$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.expedientes.crearExpedienteWebServiceOk, "ok");
		sessionStorage.removeItem("crearExpedienteFeedback");
	}
	
	if(sessionStorage.getItem("guardarTabletFeedback") === "true"){
		$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.tablet.guardarOk, "ok");
		sessionStorage.removeItem("guardarTabletFeedback");
	}	
	
	if(sessionStorage.getItem("generarPropuestaFeedback") === "true"){
		$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.propuestaSancion.generarPropuestaOk, "ok");
		sessionStorage.removeItem("generarPropuestaFeedback");
	}	
	
	if(sessionStorage.getItem("modificarPropuestaFeedback") === "true"){
		$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.propuestaSancion.modificarPropuestaOk, "ok");
		sessionStorage.removeItem("modificarPropuestaFeedback");
	}	
	
	if(sessionStorage.getItem("eliminarPropuestaFeedback") === "true"){
		$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.propuestaSancion.eliminarPropuestaOk, "ok");
		sessionStorage.removeItem("eliminarPropuestaFeedback");
	}	
	
	if(sessionStorage.getItem("guardarPropuestaFeedback") === "true"){
		$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
		$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.propuestaSancion.guardarPropuestaOk, "ok");
		sessionStorage.removeItem("guardarPropuestaFeedback");
	}
	
	//Marcamos la opción del menú principal "Inspecciones"
	$("#menuFichaInspeccion").addClass("active");
		
	var ab61_folderID = $('#ab61_folderID').val();
	
	$(".rup_accordion").rup_accordion({
		collapsible: true,
		heightStyle: "content",
		clearStyle:true,
		active: false
	});
		
	if($("#idOrigenInspeccion").val() == ORIGEN_CAMPAINA
			|| $("#idOrigenInspeccion").val() == ORIGEN_INSPECCION_OFICIO 
			|| $("#idOrigenInspeccion").val() == ORIGEN_BUZON_FRAUDE
			|| $("#idOrigenInspeccion").val() == ORIGEN_DENUNCIAS
			|| $("#idOrigenInspeccion").val() == ORIGEN_ESTABLECIMIENTOS_COMERCIALES){
		$("#domicilioSolicitante").css("display", "none");
		$("#divRepresentanteLegal").css("display", "none");
		$("#divPersonasContacto").css("display", "none");
	}
	
	if($("#idOrigenInspeccion").val() == $("#ORIGEN_CENSO").val()){
		$("#domicilioSolicitante").css("display", "none");
	}
	
	if($("#idOrigenInspeccion").val() == ORIGEN_CENSO || $("#idOrigenInspeccion").val() == ORIGEN_DENUNCIAS || $("#idOrigenInspeccion").val() == ORIGEN_BUZON_FRAUDE){
		$("#divNumeroRegistroUbicacion").removeAttr("hidden");
	} else if($("#idOrigenInspeccion").val() == ORIGEN_AYUDAS && $("#identifiEstableciExp").val() != "" && $("#identifiEstableciExp").val() != null){
		$("#divNumeroRegistroUbicacion").removeAttr("hidden");
	} else if(($("#idOrigenInspeccion").val() == ORIGEN_CAMPAINA || $("#idOrigenInspeccion").val() == ORIGEN_INSPECCION_OFICIO) && $("#idDireccionHeader").val() == ID_TURISMO_DIRECCION) {
		$("#divNumeroRegistroUbicacion").removeAttr("hidden");
	} else {
		$("#divNumeroRegistroUbicacion").attr("hidden", "true");
	}
	
	if($("#inspeccionSinExpediente").val() === "true"){
		$("#domicilioSolicitante").css("display", "none");
		$("#divRepresentanteLegal").css("display", "none");
		$("#divPersonasContacto").css("display", "none");
		var form = document.getElementById("formSolicitante");
		form.action = "/ab79WebAppWar/expedientes/guardarSinExpediente/" + $("#idInspeccion").val();
		$(".botonCompartir").each(function(){
			$("#"+this.id).css("display", "none");
		});
		$("#btnAniadirInteresado").css("display", "block");
		$("#divUbicacionInversion").css("display", "block");
	} else{
		$("#btnAniadirInteresado").css("display", "none");
	}
	
	$("#identificadorEstablecimientoUno").keyup(function(e) {
		var code = (e.keyCode ? e.keyCode : e.which);
		if(code !== 9 && code !== 16){
			if($("#identificadorEstablecimientoUno").val().length == 1){
				$("#identificadorEstablecimientoUno").val($("#identificadorEstablecimientoUno").val().toUpperCase());
				$("#identificadorEstablecimientoDos").focus();
			}
		}
	});
	
	$("#identificadorEstablecimientoDos").keyup(function(e) {
		var code = (e.keyCode ? e.keyCode : e.which);
		if(code !== 9 && code !== 16){
			if($("#identificadorEstablecimientoDos").val().length == 2){
				$("#identificadorEstablecimientoDos").val($("#identificadorEstablecimientoDos").val().toUpperCase());
				$("#identificadorEstablecimientoTres").focus();
			}
		}
	});
	
	$("#identificadorEstablecimientoTres").focusout(function() {
		if($("#identificadorEstablecimientoTres").val() !== ""){
			$("#identificadorEstablecimientoTres").val(pad($("#identificadorEstablecimientoTres").val(), 5));
		}
	});
	
	setTimeout(function() { 
		$("#idProvinciaUbicacion").rup_combo({
			source: "/ab79WebAppWar/nora/provincias",
			blank: "",
			sourceParam: {
				label: "dsO",
				value: "id"
			},
			onLoadSuccess : function() {
				var idProvinciaUbicacionHidden = pad($("#idProvinciaUbicacionHidden").val(),2);
				$("#idProvinciaUbicacion").rup_combo("setRupValue", idProvinciaUbicacionHidden);
				
				if($("#esExpedienteCerrado").val() === "true" && $("#idProvinciaUbicacion").hasClass("bloquearPorExpedienteCerrado")){
					$("#idProvinciaUbicacion").rup_combo("disable");
				}
			},
			select : function() {
				var idProvinciaUbicacionHidden = $("#idProvinciaUbicacion").val();
				$("#idProvinciaUbicacionHidden").val(idProvinciaUbicacionHidden);
			
				$("#codigoMunicipioUbicacion").val("");
				$("#idMunicipioUbicacionHidden").val("")
				$("#idMunicipioUbicacion").rup_combo("setRupValue", "");
				$("#idLocalidadUbicacionHidden").val("");
				$("#idLocalidadUbicacion").rup_combo("setRupValue", "");
			},
			open: function(){
				$("#idProvinciaUbicacion-menu").width(
					$("#idProvinciaUbicacion-button").width()
				);
			},
			change: function() {
				$("#codigoProvinciaUbicacion").val($("#idProvinciaUbicacion").rup_combo("getRupValue"));
				
				if($("#idProvinciaUbicacion").rup_combo("getRupValue") == ""){
					$("#codigoMunicipioUbicacion").val("");
				}
			},
			width: 250
		});
	}, 100);
	
	setTimeout(function() { 
		$("#idMunicipioUbicacion").rup_combo({
			source: "/ab79WebAppWar/nora/municipios",
			parent: ["idProvinciaUbicacion"],
			blank: "",
			sourceParam: {
				label: "dsO",
				value: "id"
			},
			onLoadSuccess : function() {
				var idMunicipioUbicacionHidden = pad($("#idMunicipioUbicacionHidden").val(),3);
				$("#idMunicipioUbicacion").rup_combo("setRupValue", idMunicipioUbicacionHidden);
				
				if($("#esExpedienteCerrado").val() === "true" && $("#idMunicipioUbicacion").hasClass("bloquearPorExpedienteCerrado")){
					$("#idMunicipioUbicacion").rup_combo("disable");
				}
			},
			select : function() {
				var idMunicipioUbicacionHidden = $("#idMunicipioUbicacion").val();
				$("#idMunicipioUbicacionHidden").val(idMunicipioUbicacionHidden);
				
				$("#idLocalidadUbicacionHidden").val("");
				$("#idLocalidadUbicacion").rup_combo("setRupValue", "");
			},
			
			open: function(){
				$("#idMunicipioUbicacion-menu").width(
					$("#idMunicipioUbicacion-button").width()
				);
			},
			change: function() {
				$("#codigoMunicipioUbicacion").val($("#idMunicipioUbicacion").rup_combo("getRupValue"));			
			},
			width: 250
		});
	}, 100);
	
	setTimeout(function() { 
		$("#idLocalidadUbicacion").rup_combo({
			source: "/ab79WebAppWar/nora/localidades",
			parent: ["idProvinciaUbicacion", "idMunicipioUbicacion"],
			blank: "",
			sourceParam: {
				label: "dsO",
				value: "id"
			},
			onLoadSuccess : function() {
				var idLocalidadUbicacionHidden = pad($("#idLocalidadUbicacionHidden").val(),14);
				$("#idLocalidadUbicacion").rup_combo("setRupValue", idLocalidadUbicacionHidden);
				
				if($("#esExpedienteCerrado").val() === "true" && $("#idLocalidadUbicacion").hasClass("bloquearPorExpedienteCerrado")){
					$("#idLocalidadUbicacion").rup_combo("disable");
				}
			},
			select : function() {
				var idLocalidadUbicacionHidden = $("#idLocalidadUbicacion").val();
				$("#idLocalidadUbicacionHidden").val(idLocalidadUbicacionHidden);
			},
			open: function(){
				$("#idLocalidadUbicacion-menu").width(
					$("#idLocalidadUbicacion-button").width()
				);
			},
			width: 310
		});
	}, 100);
	
	// DIRECCIÓN POSTAL
	$(".divDireccionPostal").each(function() {
		var idDivDireccionPostal = $(this).attr("id");
		var identificador = idDivDireccionPostal.split("_")[1];
		$("#btnDireccionPostal_"+identificador).css("margin-top", "9em");
		
		if($("#otroPais_"+identificador).is(':checked')){
			var selectValuePais = $("#idPaisDireccionPostal_"+identificador).prev(":hidden").val();
			$("#idPaisDireccionPostal_"+identificador).rup_combo({
				source: "/ab79WebAppWar/nora/paises",
				blank: "",
				sourceParam: {
					label: "dsO",
					value: "id"
				},
				selected: selectValuePais,
				width: 250
			});
		} else {
			$("#idProvinciaDireccionPostal_"+identificador).rup_combo({
				source: "/ab79WebAppWar/nora/provincias",
				blank: "",
				sourceParam: {
					label: "dsO",
					value: "id"
				},
				onLoadSuccess : function() {
					$("#idProvinciaDireccionPostal_"+identificador).rup_combo("setRupValue", pad($("#codigoProvinciaDireccionPostal_"+identificador).val(),2));
				},
				width: 250
			});		
			
			$("#idMunicipioDireccionPostal_"+identificador).rup_combo({
				source: "/ab79WebAppWar/nora/municipios",
				parent: ["idProvinciaDireccionPostal_"+identificador],
				blank: "",
				sourceParam: {
					label: "dsO",
					value: "id"
				},
				onLoadSuccess : function() {
					$("#idMunicipioDireccionPostal_"+identificador).rup_combo("setRupValue", pad($("#codigoMunicipioDireccionPostal_"+identificador).val(),3));
					$("#codigoMunicipioDireccionPostal_"+identificador).val($("#idMunicipioDireccionPostal_"+identificador).rup_combo("getRupValue"));
					
				},
				width: 250
			});
			
			var selectValueLocalidad = $("#idLocalidadDireccionPostal_"+identificador).prev(":hidden").val();
			$("#idLocalidadDireccionPostal_"+identificador).rup_combo({
				source: "/ab79WebAppWar/nora/localidades",
				parent: ["idProvinciaDireccionPostal_"+identificador, "idMunicipioDireccionPostal_"+identificador],
				blank: "",
				sourceParam: {
					label: "dsO",
					value: "id"
				},
				selected: selectValueLocalidad,
				width: 290
			});
		}
		
	});

	$(".botonCompartir").click(function() {
		var tipo = "";
		var tipoAux = $(this).prop('id');
		// Split string by whitespace character
		var splitString = tipoAux.split("-");
		//hidden para saber si recargar la pagina al cerrar las modales de la ab61 o no
		$("#recargarPagina").val(0);
		if (tipoAux.substring(0, 7) == "TITULAR") {
			tipo = "TITULAR";
			$("#recargarPagina").val(0);
		} else {
			if (tipoAux.substring(0, 13) == "REPRESENTANTE") {
				tipo = "REPRESENTANTE";
				$("#recargarPagina").val(0);
			} else {
				if (tipoAux.substring(0, 6) == "RLEGAL") {
					tipo = "REPRESENTANTELEGAL";
					$("#recargarPagina").val(1);
				}else if(tipoAux.substring(0, 16) == "PERSONASCONTACTO"){
						tipo = "PERSONASCONTACTO";
						$("#recargarPagina").val(1);
				
				}else{
					if (tipoAux.substring(0, 4) == "OTRO") {
						tipo = "OTRO";
						$("#recargarPagina").val(1);
					} else if (tipoAux.substring(0, 10) == "DENUNCIADO") {
						tipo = "DENUNCIADO";
						$("#recargarPagina").val(1);
					}
				} 
			}
		}
		
		var url="";
		var idTercero = $(this).val();
		
		if(splitString.length == 1){
			splitString.push("0");
			url =  CTX_PATH + "datosterceros/"+$('#idExpediente').val()+ "/" + idTercero + "/" + ab61_folderID + "/" +tipo+"/"+splitString[1];
		}else{
			url = CTX_PATH + "datosterceros/"+$('#idExpediente').val()+"/"+ idTercero + "/" + ab61_folderID + "/" + splitString[0]+"/"+splitString[1];
		}
		
		abrirModal(url);	
	});	

	$("#btnAniadirInteresado").click(function(){
		modalAniadirInteresado();
	});
	
	$("#addRepresentanteLegal").click(function(){
	
		$("#recargarPagina").val(1);
		var url = CTX_PATH + "solicitantes/add/REPRESENTANTELEGAL/"+$('#idExpediente').val();
		abrirModal(url);
	});
	
	$("#addPersonaContacto").click(function(){
		$("#recargarPagina").val(1);
		var url = CTX_PATH + "solicitantes/add/PERSONASCONTACTO/"+$('#idExpediente').val();
		abrirModal(url);
	});
	
	$(".botonEliminarPersonasContacto ").click(function(){
		
		var idTercero = $(this).val();
		$.rup_messages("msgConfirm", {
			title:  $.rup.i18n.app.mensajes.titulo,
			message: $.rup.i18n.app.mensajes.eliminarOk,
			OKFunction: function(){
				bloquearInterfaz();
				$.ajax({
					url : CTX_PATH + "/datosterceros/delete/"+ idTercero,
					cache : false,
					contentType : "application/json",
					async : false,
					type: 'DELETE',
					success: function(){
						desbloquearInterfaz();
						location.reload();
					},
					error: function(){
						desbloquearInterfaz();
						$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
						$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.mensajes.datos_guardados_error, "error");
					}
				});
			}
		});
		
		
	});	
	
	$(".botonEliminarRepresentanteLegal").click(function(){
		
		var idTercero = $(this).val();
		$.rup_messages("msgConfirm", {
			title:  $.rup.i18n.app.mensajes.titulo,
			message: $.rup.i18n.app.mensajes.eliminarOk,
			OKFunction: function(){
				bloquearInterfaz();
				$.ajax({
					url : CTX_PATH + "/datosterceros/delete/"+ idTercero,
					cache : false,
					contentType : "application/json",
					async : false,
					type: 'DELETE',
					success: function(){
						desbloquearInterfaz();
						location.reload();
					},
					error: function(){
						desbloquearInterfaz();
						$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
						$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.mensajes.datos_guardados_error, "error");
					}
				});
			}
		});
	});	
	$(".botonCompartir").rup_tooltip({
		content:{
			text:$.rup.i18n.app.tooltip.ver
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});

	
	$(".botonEliminarRepresentanteLegal").rup_tooltip({
		content:{
			text:$.rup.i18n.app.tooltip.eliminar
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});
	$(".botonEliminarPersonasContacto").rup_tooltip({
		content:{
			text:$.rup.i18n.app.tooltip.eliminar
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});
	$(".iconoDerecha").rup_tooltip({
		content:{
			text:$.rup.i18n.app.tooltip.misGestiones
		},
		position:{
			my: 'bottom center',
			at: 'top center',
		}
	});

	//si tuviesemos modales se ocultaria el aspa de cerrar 
	$(".ui-dialog-titlebar-close").hide();
	var idTerceros = $('#idTercero').val();

	$("#btnGuardarUbicacion").click(function(){
		
		if(idTerceros == 0){
			$("#idProvinciaSolicitante").rup_combo("clear");
			$("#idProvinciaUbicacion").rup_combo("clear")
			$("#formSolicitante")[0].reset();
			$("#id_capa").rup_feedback({ gotoTop : true, block : false, closeLink : true });
			$("#id_capa").rup_feedback("set", $.rup.i18n.app.msg.faltaTitular, "alert");
		}
		else{
			
			if($("#inspeccionSinExpediente").val() === "true"){
				$("#identifiEstableciExp").val($("#identificadorEstablecimientoUno").val()+$("#identificadorEstablecimientoDos").val()+$("#identificadorEstablecimientoTres").val());
			}
			
			$(".comboDinamico").each(function() {
				
				var idCombo = $(this).attr("id");
				var participantId = idCombo.split("-")[1];
				$("#participantIds").val($("#participantIds").val() + participantId + ",");
				$("#idsSubtipoTercero").val($("#idsSubtipoTercero").val() + $("#"+this.id).rup_combo("getRupValue") + ",");
			});
			
			if($("#participantIds").val() !== ""){
				$("#participantIds").val().slice(0, -1);
			}
			
			if($("#idsSubtipoTercero").val() !== ""){
				$("#idsSubtipoTercero").val().slice(0, -1);
			}
			
			$("#formSolicitante").submit();
		}		
	});
	
	/* INICIO VALIDACIONES */
	/* Feedback*/
	$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true});
	
	var rules = [];
	var messages = [];
	$("#formSolicitante").find('input:not("button")').filter(
		     function(){

		         if ($(this).hasClass('validar'))
	        	 {
		        	 rules[$(this).attr("name")] = {validarLongitudMinima : [8]};
		        	 messages[$(this).attr("name")] = {validarLongitudMinima : $.rup.i18n.app.expedientes.validaciones.longitudMinima.replace('{0}', '8')};
	        	 }
		     });
	
	$("#formSolicitante").rup_validate({
		feedback: $("#expediente_feedback"),
		showFieldErrorAsDefault : true,
		showErrorsInFeedback : true,
		showFieldErrorsInFeedback : true,
		ignore: "input[type='hidden']",
		rules : rules,
		messages : messages
	});
	
	/* Abrir el último acordeón en el que salta una validación */	
	$("#formSolicitante").on("rupValidate_formValidationError", function(event){
		
		// Ahora sólo se valida un acordeón, si se validaran más habría que dar una vuelta a esto
		setTimeout('$(".ui-accordion-content .form-control.error").closest(".ui-accordion-content").prev(".ui-accordion-header-collapsed").trigger("click");',200);
	});
	
	jQuery.validator.addMethod("validarLongitudMinima", function(value, element, params) {
		
		$("#" + element.id).val($("#identificadorEstablecimientoUno").val()+$("#identificadorEstablecimientoDos").val()+$("#identificadorEstablecimientoTres").val());
		
		if ($("#" + element.id).val().length < params[0] && $("#" + element.id).val().length > 0)
		{
			return false;			
		}
		else
			return true;
	});
	
	/* FIN VALIDACIONES */
	
	//Botón cancelar modal añadir/modificar interesado titular cuando no hay idExpediente
	$("#aniadirInteresadoModalCancelar").click(function(){
		$("#aniadirInteresadoModal").rup_dialog("destroy");
		$("#aniadirInteresadoModalFeedback").rup_feedback("close");
	});
	
	//Botón guardar modal añadir/modificar interesado titular cuando no hay idExpediente
	$("#aniadirInteresadoModalGuardar").click(function(){
		bloquearInterfaz();
		
		$("#aniadirInteresadoModalForm").rup_form({
			feedback: $("#aniadirInteresadoModalFeedback"),
			type: "POST",
			url: CTX_PATH + "expedientes/aniadirInteresado/" + $("#idInspeccion").val(),
			success: function(){
				desbloquearInterfaz();
				location.reload();
			},
			error: function(){
				desbloquearInterfaz();
				$("#aniadirInteresadoModalFeedback").rup_feedback("set", $.rup.i18n.app.expedientes.aniadirInteresadoError, "error");
			}
		});
		
		if($("#tipoDocumentoInteresadoModal").val() == TIPO_DOCUMENTO_CIF){
			$("#apellido1InteresadoModal").val("");
			$("#apellido2InteresadoModal").val("");
			$("#sexoInteresadoModal").rup_combo("setRupValue", "");
		}
		
		var numeroDocumentoValido = validarDocumento($("#documentoInteresadoModal").val(), $("#tipoDocumentoInteresadoModal").val());
		
		if(!numeroDocumentoValido) {
			$("#aniadirInteresadoModalFeedback").rup_feedback("set", $.rup.i18n.app.feedback.error.documentoNoValido, "error");
		} else{
			$("#aniadirInteresadoModalForm").submit();
		}
		
		desbloquearInterfaz();
	});
	
	
	$("#btnCrearExpediente").click(function(){
		bloquearInterfaz();
		
		/**
		 * Enviamos un -1 para el caso del expediente ya que queremos obtener los participantes por la inspeccion y no por el expeidente que no lo tiene
		 */
		$("#crearExpedienteInicioOficioInspeccion").rup_dialog({
			url: "/ab79WebAppWar/inicioOficio/abrirModalCreacionExpedienteInicioOficioInspeccion/"+$("#idInspeccion").val()+"/-1",
			title: $.rup.i18n.app.modalCrearExpedienteInicioOficio.tituloModal,
			autoOpen: true,
			width: 1100,
			modal: true,
			position: { my: "center center" },
			type: $.rup.dialog.AJAX,
			ajaxOptions: {
				success: function(){
					desbloquearInterfaz();
				},
				error: function(){
					desbloquearInterfaz();
				}
			},
			buttons: [{
					text: $.rup.i18n.app.crear,
					click: function () { 
						crearExpedienteInicioOficioModal();
					},
					class:"btn btn-primary",
					id: "crearExpedienteInicioOficioInspeccionGuardar"
				},
				{
					text: $.rup.i18n.app.cancelar,
					btnType: $.rup.dialog.LINK,
					click: function () { 
						cancelarExpedienteInicioOficioModal();
					},
					class:"btn btn-light pull-right"
				}
			],
			close : function(){
				$("#crearExpedienteInicioOficioInspeccion").rup_dialog("destroy");
				$("#crearExpedienteInicioOficioInspeccion").html("");	
				
				//Limpiamos el contenido de los datos y el contenedor de los datos
				$("#contenedorInteresados").html("");	
				$("#datosCrearExpedienteInicioOficio").val("");
				$("#nuevaModalExpedienteInicioOficioComboProcedimiento").rup_combo("clear");
			},
			open : function(){
				$("#rup_dialogCancelar").removeClass("btn-outline-primary");
				
				//Limpiamos el contenido de los datos y el contenedor de los datos
				$("#contenedorInteresados").html("");	
				$("#datosCrearExpedienteInicioOficio").val("");
				
				
				$("#nuevaModalExpedienteInicioOficioComboProcedimiento").rup_combo({
					blank : "",
					source : CTX_PATH + "procedimientos/obtenerProcedimientosInicioOficioByInspeccion/"+$("#idInspeccion").val(),
					sourceParam : {
						label : "descripcionConCodProcedure",
						value : "idProcedimiento"
					},
					onLoadSuccess: function(){
						$("#nuevaModalExpedienteInicioOficioComboProcedimiento").rup_combo("clear");
						if($('#nuevaModalExpedienteInicioOficioComboProcedimiento option').length === 2){
							$("#nuevaModalExpedienteInicioOficioComboProcedimiento").rup_combo("select", 1);
							
							seleccionProcedimiento();
						}
					},
					select: function(){
						seleccionProcedimiento();
					},
					width: 640
				});	
			}
		});
	});
		
	$("#btnActualizar").click(function(){
		location.reload();
	});
	
	//Botón asociar un establecimiento a la inspección
	$("#btnAsociarEstablecimientoInspeccion").click(function(){
		window.location = CTX_PATH + "establecimientosregistrados/establecimientoInspeccion/" + $("#idInspeccion").val();
	});
	
	//Botón buscar establecimiento (ubicación inversión)
	$("#btnBuscarEstablecimiento").click(function() {
		montarIdentificadorEstablecimiento();
		if($("#identifiEstableciExp").val() !== "" && $("#identifiEstableciExp").val().length === 8){
			$.ajax({
				type: "GET",
				url: CTX_PATH + "datosDirecciones/buscarEstablecimiento/" + $("#identifiEstableciExp").val(),
				contentType: "application/json",
				dataType: "json",
				asyn:false,
				success: function(data){
					desbloquearInterfaz();
					if(data !== null){
						if(data.provincia.id !== null){
							$("#idProvinciaUbicacionHidden").val(pad(data.provincia.id, 2));
						}else{
							$("#idProvinciaUbicacionHidden").val("")
						}
						if(data.municipio.id !== null){
							$("#idMunicipioUbicacionHidden").val(pad(data.municipio.id, 3));
						}else{
							$("#idMunicipioUbicacionHidden").val("");
						}
						if(data.localidad.id !== null){
							$("#idLocalidadUbicacionHidden").val(pad(data.localidad.id, 14));
						}else{
							$("#idLocalidadUbicacionHidden").val("");
						}
						$("#idLocalidadUbicacion").rup_combo("clear");
						$("#idMunicipioUbicacion").rup_combo("clear");
						$("#idProvinciaUbicacion").rup_combo("clear");
						$("#idProvinciaUbicacion").rup_combo("setRupValue", $("#idProvinciaUbicacionHidden").val());
						$("#idMunicipioUbicacion").rup_combo("setRupValue", $("#idMunicipioUbicacionHidden").val());
						$("#idLocalidadUbicacion").rup_combo("setRupValue", $("#idLocalidadUbicacionHidden").val());
						
						$("#establecimiento").val(data.establecimiento);
						$("#direccionUbicacion").val(data.direccion);
						$("#numeroUbicacion").val(data.numero);
						$("#escaleraUbicacion").val(data.escalera);
						$("#pisoUbicacion").val(data.piso);
						$("#letraUbicacion").val(data.letra);
						$("#codigoPostalUbicacion").val(data.codigoPostal);
						
						if($("#idOrigenInspeccion").val() == ORIGEN_CENSO || $("#idOrigenInspeccion").val() == ORIGEN_INSPECCION_OFICIO || $("#idOrigenInspeccion").val() == ORIGEN_CAMPAINA || $("#idOrigenInspeccion").val() == ORIGEN_BUZON_FRAUDE){
							$("#complementoDireccionUbicacion").val(data.complementoDireccion);
						}
					} else {
						$("#ubicacionInversionFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
						$("#ubicacionInversionFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.buscarEstablecimientoVacio, "alert");
					}					
				},
				error: function(data){
					desbloquearInterfaz();
					$("#ubicacionInversionFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
					$("#ubicacionInversionFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.buscarEstablecimientoError, "error");
				}
			});
			
			if($("#inspeccionSinExpediente").val() === "true"){
				//Buscar tercero en el REATE
				$.ajax({
					type: "GET",
					url: CTX_PATH + "datosterceros/buscarTercero/" + $("#identifiEstableciExp").val() + "/" + $("#idInspeccion").val(),
					contentType: "application/json",
					dataType: "json",
					success: function(data){
						desbloquearInterfaz();
						if(data !== null){
							$("#idTer").val(data.idTercero);
							$("#inputTercero").val((data.documento !== "" ? data.documento + " - " : "") + data.nombre + " " + data.apellido1 + " " + data.apellido2);
							$("#expediente_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
							$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.mensajes.buscarTitularOk, "ok");
						} else {
							$("#expediente_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
							$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.mensajes.buscarTitularNoExisteREATE, "alert");
						}					
					},
					error: function(data){
						desbloquearInterfaz();
						$("#expediente_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
						$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.mensajes.buscarTitularError, "error");
					}
				});
			}
			
		} else {
			$("#ubicacionInversionFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
		    $("#ubicacionInversionFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.numeroRegistroVacio, "alert");
		}
	});
	
	//Botón eliminar tercero titular
	$("#btnBorrarTitular").click(function() {
		if(typeof $("#idTer").val() !== "undefined" && $("#idTer").val() !== "" && $("#idTer").val() !== null){
			$.ajax({
				type: "DELETE",
				url: CTX_PATH + "datosterceros/eliminarTitular/" + $("#idTer").val(),
				success: function(){
					$("#idTer").val("");
					$("#inputTercero").val("");
					$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
					$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.expedientes.eliminarTitularOk, "ok");
				},
				error: function(){
					$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
					$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.expedientes.eliminarTitularError, "error");
				}
			});
		}
	});	
	
	
	function abrirModal(urlDestino) {
		$("#dialogoDatosSolicitante").rup_dialog({
			type: $.rup.dialog.AJAX,
			url: urlDestino ,
			autoOpen: true,
			modal: true,
			width: 1100,
			resizable: true,
			close : function(){
				$("#dialogoDatosSolicitante").rup_dialog("destroy");
				$("#dialogoDatosSolicitante").html("");	
			}

		});	
	}
	
	/**
	 * Se validara si tiene Nº registro para proceder con la validacion de los datos que tenemos con los del censo
	 */
	var numeroRegistro = $("#identifiEstableciExp").val();
	if(numeroRegistro != null && numeroRegistro != ""){	

		$.ajax({
			type: "GET",
			url: CTX_PATH + "datosDirecciones/buscarEstablecimiento/" + $("#identifiEstableciExp").val(),
			contentType: "application/json",
			dataType: "json",
			success: function(data){
				desbloquearInterfaz();
				if(data !== null){
					var datosDistintosUbicacion = false;

					var establecimiento = data.establecimiento;
					if( validarDatosDistintos($("#establecimiento").val() , establecimiento) ){
						datosDistintosUbicacion = true;
					}
					
					var codigoProvincia = (data.provincia != null && data.provincia.id != null && data.provincia.id != ''?pad(data.provincia.id, 2):null);
					if( validarDatosDistintos(pad($("#idProvinciaUbicacionHidden").val(), 2) , codigoProvincia) ){
						datosDistintosUbicacion = true;
					}
					
					var codigoMunicipio = (data.municipio != null && data.municipio.id != null && data.municipio.id != ''?pad(data.municipio.id, 3):null);
					if( validarDatosDistintos(pad($("#idMunicipioUbicacionHidden").val(), 3) , codigoMunicipio) ){
						datosDistintosUbicacion = true;
					}
					
					var localidad = data.localidad.id;
					if( validarDatosDistintos($("#idLocalidadUbicacionHidden").val() , localidad) ){
						datosDistintosUbicacion = true;
					}
					
					var direccion = data.direccion;
					if( validarDatosDistintos($("#direccionUbicacion").val() , direccion) ){
						datosDistintosUbicacion = true;
					}
					
					var numeroUbicacion = data.numero;
					if( validarDatosDistintos($("#numeroUbicacion").val() , numeroUbicacion) ){
						datosDistintosUbicacion = true;
					}

					var escalera = data.escalera;
					if( validarDatosDistintos($("#escaleraUbicacion").val() , escalera) ){
						datosDistintosUbicacion = true;
					}

					var piso = data.piso;
					if( validarDatosDistintos($("#pisoUbicacion").val() , piso) ){
						datosDistintosUbicacion = true;
					}
					
					var letra = data.letra;
					if( validarDatosDistintos($("#letraUbicacion").val() , letra) ){
						datosDistintosUbicacion = true;
					}
					
					var codPostal = data.codigoPostal;
					if( validarDatosDistintos($("#codigoPostalUbicacion").val() , codPostal) ){
						datosDistintosUbicacion = true;
					}	
					
					if($("#idOrigenInspeccion").val() == ORIGEN_CENSO || $("#idOrigenInspeccion").val() == ORIGEN_INSPECCION_OFICIO
							|| $("#idOrigenInspeccion").val() == ORIGEN_CAMPAINA || $("#idOrigenInspeccion").val() == ORIGEN_BUZON_FRAUDE){
						var complementoDireccion = data.complementoDireccion;
						if( validarDatosDistintos($("#complementoDireccionUbicacion").val() , complementoDireccion) ){
							datosDistintosUbicacion = true;
						}	
					}
					
					if(datosDistintosUbicacion){
						$("#ubicacion_feedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
						$("#ubicacion_feedback").rup_feedback("set", $.rup.i18n.app.mensajes.datosDireccionNoCoincidenConCensoTurismo, "alert");
					}
				} else {
					$("#ubicacionInversionFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
					$("#ubicacionInversionFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.buscarEstablecimientoVacio, "alert");
				}					
			},
			error: function(data){
				desbloquearInterfaz();
				$("#ubicacionInversionFeedback").rup_feedback({ gotoTop : false, block : false, closeLink : true });
				$("#ubicacionInversionFeedback").rup_feedback("set", $.rup.i18n.app.mensajes.buscarEstablecimientoError, "error");
			}
		});
	}
	
	if($("#esExpedienteCerrado").val() === "true"){
		setTimeout(function() { 
			bloquearInspeccion();
	    }, 500);
		
	} else {
		setTimeout(function() { 
			desbloquearInspeccion();
			if($.inArray(parseInt($("#resultadoInspeccionFicha").val()), idsResultadoCancelada) !== -1) {
				if($("#idOrigenInspeccion").val() != ORIGEN_DENUNCIAS){
					$(".rupCombo").each(function() {
						$("#"+this.id).rup_combo("disable");
					});
				} else {
					$("#idProvinciaUbicacion").rup_combo("disable");
					$("#idMunicipioUbicacion").rup_combo("disable");
					$("#idLocalidadUbicacion").rup_combo("disable");
					$("select.comboDireccionPostalProvincia").each(function(){
						$("#"+this.id).rup_combo("disable");
					});
					$("select.comboDireccionPostalMunicipio").each(function(){
						$("#"+this.id).rup_combo("disable");
					});
					$("select.comboDireccionPostalLocalidad").each(function(){
						$("#"+this.id).rup_combo("disable");
					});
				}
				
				$("#formSolicitante :input").prop("disabled", true);
			}
	    }, 500);
	}

	
	$('.complementoDireccionInfo').rup_tooltip({content:{text:$.rup.i18n.app.tooltip.complementoDireccionInfo}});
});

function validarDatosDistintos(valor_1, valor_2){
	
	if( valor_1 != null && valor_1 != '' && valor_1 != 0 && (valor_2 == null || valor_2 == '' || valor_2 == 0) ){
		//Uno de los datos recibidos es nulo o vacio y el otro esta informado
		return true;
	}else if( (valor_1 == null || valor_1 == '' || valor_1 == 0) && valor_2 != null && valor_2 != '' && valor_2 != 0){
		//Uno de los datos recibidos es nulo o vacio y el otro esta informado
		return true;
	}else if( (valor_1==null || valor_1=='' || valor_1==0) && (valor_2==null || valor_2=='' || valor_2==0) ){
		//Ambos datos recibidos son nulos o vacios
		return false;
	}else if( valor_1 != null && valor_1 != '' && valor_2 != null && valor_2 != '' && valor_1 != valor_2 ){
		//Los datos estan informados con valores distintos
		return true;
	}else{
		//Else por lo que son iguales los datos
		return false;
	}
	
}

function fncCollapseInteresado(identificador)
{
	if ($("#panelInteresado_" + identificador).hasClass("activo"))
	{
		$("#btnInteresado_" + identificador).removeClass("ui-accordion-header-active");
		$("#btnInteresado_" + identificador).addClass("ui-accordion-header-collapsed ui-corner-all ui-state-default");
		$("#panelInteresado_" + identificador).removeClass("activo");
		$("#panelInteresado_" + identificador).addClass("noActivo");
		
	}
	else
	{
		$("#btnInteresado_" + identificador).removeClass("ui-accordion-header-collapsed ui-corner-all ui-state-default");
		$("#btnInteresado_" + identificador).addClass("ui-accordion-header-active");
		$("#panelInteresado_" + identificador).removeClass("noActivo");
		$("#panelInteresado_" + identificador).addClass("activo");
	}
}

function fncCollapseUbicacion(identificador)
{
	if ($("#panelUbicacion_" + identificador).hasClass("activo"))
	{
		$("#btnUbicacion_" + identificador).removeClass("ui-accordion-header-active");
		$("#btnUbicacion_" + identificador).addClass("ui-accordion-header-collapsed ui-corner-all ui-state-default");
		$("#panelUbicacion_" + identificador).removeClass("activo");
		$("#panelUbicacion_" + identificador).addClass("noActivo");
		
	}
	else
	{
		$("#btnUbicacion_" + identificador).removeClass("ui-accordion-header-collapsed ui-corner-all ui-state-default");
		$("#btnUbicacion_" + identificador).addClass("ui-accordion-header-active");
		$("#panelUbicacion_" + identificador).removeClass("noActivo");
		$("#panelUbicacion_" + identificador).addClass("activo");
	}
}

function fncCollapseUbicacionSinExpediente()
{
	if ($("#panelUbicacion").hasClass("activo"))
	{
		$("#btnUbicacion").removeClass("ui-accordion-header-active");
		$("#btnUbicacion").addClass("ui-accordion-header-collapsed ui-corner-all ui-state-default");
		$("#panelUbicacion").removeClass("activo");
		$("#panelUbicacion").addClass("noActivo");
		
	}
	else
	{
		$("#btnUbicacion").removeClass("ui-accordion-header-collapsed ui-corner-all ui-state-default");
		$("#btnUbicacion").addClass("ui-accordion-header-active");
		$("#panelUbicacion").removeClass("noActivo");
		$("#panelUbicacion").addClass("activo");
	}
}

function fncCollapseDireccionPostal(identificador)
{
	if ($("#panelDireccionPostal_" + identificador).hasClass("activo"))
	{
		$("#btnDireccionPostal_" + identificador).removeClass("ui-accordion-header-active");
		$("#btnDireccionPostal_" + identificador).addClass("ui-accordion-header-collapsed ui-corner-all ui-state-default");
		$("#panelDireccionPostal_" + identificador).removeClass("activo");
		$("#panelDireccionPostal_" + identificador).addClass("noActivo");
		
	}
	else
	{
		$("#btnDireccionPostal_" + identificador).removeClass("ui-accordion-header-collapsed ui-corner-all ui-state-default");
		$("#btnDireccionPostal_" + identificador).addClass("ui-accordion-header-active");
		$("#panelDireccionPostal_" + identificador).removeClass("noActivo");
		$("#panelDireccionPostal_" + identificador).addClass("activo");
	}
}

function buscarComboProvinciaUbicacion(){
	$("#idProvinciaUbicacion").rup_combo("setRupValue", pad($("#codigoProvinciaUbicacion").val(), 2));
}

function buscarComboMunicipioUbicacion(){
	$("#idMunicipioUbicacion").rup_combo("setRupValue", pad($("#codigoMunicipioUbicacion").val(), 3));
}

function buscarComboProvinciaSolicitante(){
	$("#idProvinciaSolicitante").rup_combo("setRupValue", pad($("#codigoProvinciaSolicitante").val(), 2));
}

function buscarComboMunicipioSolicitante(){
	$("#idMunicipioSolicitante").rup_combo("setRupValue", pad($("#codigoMunicipioSolicitante").val(), 3));
}

function montarIdentificadorEstablecimiento()
{
	$("#identifiEstableciExp").val($("#identificadorEstablecimientoUno").val()+$("#identificadorEstablecimientoDos").val()+$("#identificadorEstablecimientoTres").val());
}

//Abrir modal añadir/modificar interesado titular cuando no hay idExpediente
function modalAniadirInteresado(){
	
	//Modal añadir/modificar interesado cuando no hay idExpediente
	$("#aniadirInteresadoModal").rup_dialog({
		autoOpen: false,
		width: 800,
		modal: true,
		position: { my: "center center" },
		title: $.rup.i18n.app.expedientes.modificarInteresadoTitular,
		type: $.rup.dialog.DIV
	});
	
	if($("#idTer").val() !== "" && $("#idTer").val() !== null){
		$("#idTerceroInteresadoModal").val($("#idTer").val());
		$.ajax({
			type: "GET",
			url: CTX_PATH + "datosterceros/" + $("#idTer").val(),
			dataType:"json",
			success: function(data){
				$("#nombreInteresadoModal").val(data.nombre);
				$("#apellido1InteresadoModal").val(data.apellido1);
				$("#apellido2InteresadoModal").val(data.apellido2);
				$("#tipoDocumentoInteresadoModal").rup_combo("setRupValue", data.tipoDocumento.idTipoDocumento);
				if(data.tipoDocumento.idTipoDocumento == TIPO_DOCUMENTO_CIF){
					$("#apellido1InteresadoModal").parent().attr("hidden", "true");
					$("#apellido2InteresadoModal").parent().attr("hidden", "true");
					$("#sexoInteresadoModal").parent().attr("hidden", "true");
				}
				$("#documentoInteresadoModal").val(data.documento);
				$("#sexoInteresadoModal").rup_combo("setRupValue", data.sexo.idSexo);
				$("#aniadirInteresadoModal").rup_dialog("open");
			},
			error: function(){
				$("#expediente_feedback").rup_feedback({ gotoTop : true, block : false, closeLink : true });
				$("#expediente_feedback").rup_feedback("set", $.rup.i18n.app.expedientes.recuperarInteresadoError, "error");
			}
		});
	} else{
		$("#aniadirInteresadoModal").rup_dialog("setOption", "title", $.rup.i18n.app.expedientes.aniadirInteresadoTitular);
		$("#aniadirInteresadoModal").rup_dialog("open");
	}
	
}